sc3dev-packager(1) "@PROJECT_VERSION@"

# NAME

sc3dev-packager - interact with Gitea package repos

# SYNOPSIS

sc3dev-packager [flags] repo command package-names...

# DESCRIPTION

sc3dev-packager is a tool for uploading and deleting packages from
Gitea servers.

Flags:

*--component component*
	Select the package component (Debian-only). Defaults to 'main'.

*--config path*
	The path to a simple config file that should be used.

*--distribution distribution*
	Select the package distribution (Debian-only). Defaults to 'ubuntu'.

*--owner owner*
	Select the owner of the package repository. Defaults to 'sc'.

*--verbose*
	Show verbose cURL output.

Repositories:

The supported repositories are:

- debian
- generic

Commands:

- del removes the package from the repository. Deleted packages don't
  have to exist on disk.
- put uploads the package to the repository.

# EXAMPLES

*sc3dev-packager --owner joe debian put /path/to/package_1.0.0_amd64.deb*
	Upload package_1.0.0_amd64.deb to the Debian package repository
	owned by 'joe'.

*sc3dev-packager --owner bob generic del package-1.0.0-Linux-x86_64.tar.gz.sh*
	Remove package-1.0.0-Linux-x86_64.tar.gz from the generic package
	repository owned by 'bob'.

# Configuration

This uses an SCSL simple configuration to gather data. Valid variables
that can be configured:

- component
- distribution
- http_user: the user name to authenticate as
- http_pass: the password to authenticate with
- owner
- server: no protocol information, only the hostname (and optionally port).
- verbose: if not set from the commandline, it should be the string "true".

Example configuration:

```
owner = someorg
http_user = joe
http_pass = correct horse battery staple
server = git.example.com
```

Alternatively, any of these variables may be set on the command line:

```
owner=joe sc3dev-packager debian put newpkg_1.0.1_arm64.deb
```

# FILES

*/etc/sc3dev/packager.conf*
	The default configuration file path if run as root.
*$HOME/.config/sc3dev-packager.conf*
	The default configuration path if run as a user.

# SEE ALSO

The project's homepage is on [Gitea](https://git.wntrmute.dev/sc/sc3dev).