#!/usr/bin/env sh

######################################################################
# @author      : kyle (kyle@imap.cc)
# @file        : validate-container.sh
# @created     : Wednesday Oct 18, 2023 15:04:57 PDT
#
# @description : validate container build actually builds repos.
######################################################################

set -eux

check_repo () {
	repo="${1}"
	lpath="$(basename ${repo})"
	cd /build

	echo "[+] cloning ${repo}"
	git clone ${repo}

	cd ${lpath}
	echo "[+] running build"
	cmake-build-and-test.sh

	echo "[+] removing ${lpath}"
	cd .. && rm -rf ${lpath}
}

check_repo https://git.wntrmute.dev/sc/scsl
check_repo https://git.wntrmute.dev/sc/emsha
